### Method

# EDataCal CalCache get_offline_changes

since: 3.26

#### Declaration [src]

    GSList*
    e_cal_cache_get_offline_changes (
      ECalCache* cal_cache,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

The same as e_cache_get_offline_changes(), only splits the saved UID into UID and RID and saved the data into `ECalCacheOfflineChange` structure.

Available since: 3.26

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: A list of `None`

A newly allocated list of all offline changes. Free it with g_slist_free_full (slist, e_cal_cache_offline_change_free); when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.